OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_HArray1OfHAsciiString Class Reference

`#include <PDataStd_HArray1OfHAsciiString.hxx>`

## Public Member Functions
Standard_EXPORT | PDataStd_HArray1OfHAsciiString (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PDataStd_HArray1OfHAsciiString (const Standard_Integer Low, const Standard_Integer Up, const Handle(PCollection_HAsciiString)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PCollection_HAsciiString)&Value)
Standard_Integer | Upper () const
Standard_EXPORT Handle_PCollection_HAsciiString | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PDataStd_HArray1OfHAsciiString ()
| PDataStd_HArray1OfHAsciiString (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPDataStd_HArray1OfHAsciiStringLowerBound () const
void | _CSFDB_SetPDataStd_HArray1OfHAsciiStringLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPDataStd_HArray1OfHAsciiStringUpperBound () const
void | _CSFDB_SetPDataStd_HArray1OfHAsciiStringUpperBound (const Standard_Integer p)
const PDataStd_FieldOfHArray1OfHAsciiString & | _CSFDB_GetPDataStd_HArray1OfHAsciiStringData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Member Functions
Standard_EXPORT PDataStd_FieldOfHArray1OfHAsciiString | Field () const
Standard_EXPORT Standard_Address | Datas () const
## Private Attributes
Standard_Integer | LowerBound
Standard_Integer | UpperBound
PDataStd_FieldOfHArray1OfHAsciiString | Data

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_HArray1OfHAsciiString::PDataStd_HArray1OfHAsciiString | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PDataStd_HArray1OfHAsciiString::PDataStd_HArray1OfHAsciiString | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(PCollection_HAsciiString)& | V
| ) |

PDataStd_HArray1OfHAsciiString::PDataStd_HArray1OfHAsciiString | ( |  | ) | `[inline]`

PDataStd_HArray1OfHAsciiString::PDataStd_HArray1OfHAsciiString | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PDataStd_FieldOfHArray1OfHAsciiString& PDataStd_HArray1OfHAsciiString::_CSFDB_GetPDataStd_HArray1OfHAsciiStringData | ( |  | ) | const`[inline]`

Standard_Integer PDataStd_HArray1OfHAsciiString::_CSFDB_GetPDataStd_HArray1OfHAsciiStringLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PDataStd_HArray1OfHAsciiString::_CSFDB_GetPDataStd_HArray1OfHAsciiStringUpperBound | ( |  | ) | const`[inline]`

void PDataStd_HArray1OfHAsciiString::_CSFDB_SetPDataStd_HArray1OfHAsciiStringLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PDataStd_HArray1OfHAsciiString::_CSFDB_SetPDataStd_HArray1OfHAsciiStringUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PDataStd_HArray1OfHAsciiString::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PDataStd_FieldOfHArray1OfHAsciiString PDataStd_HArray1OfHAsciiString::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PDataStd_HArray1OfHAsciiString::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PDataStd_HArray1OfHAsciiString::Length | ( |  | ) | const

Standard_Integer PDataStd_HArray1OfHAsciiString::Lower | ( |  | ) | const

Standard_EXPORT void PDataStd_HArray1OfHAsciiString::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PCollection_HAsciiString)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PDataStd_HArray1OfHAsciiString::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PDataStd_HArray1OfHAsciiString::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PDataStd_HArray1OfHAsciiString::Upper | ( |  | ) | const

Standard_EXPORT Handle_PCollection_HAsciiString PDataStd_HArray1OfHAsciiString::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PDataStd_FieldOfHArray1OfHAsciiString PDataStd_HArray1OfHAsciiString::Data`[private]`

Standard_Integer PDataStd_HArray1OfHAsciiString::LowerBound`[private]`

Standard_Integer PDataStd_HArray1OfHAsciiString::UpperBound`[private]`

The documentation for this class was generated from the following file:

- PDataStd_HArray1OfHAsciiString.hxx